# Use the official Nginx image based on Alpine
FROM nginx:alpine

WORKDIR /app

# Copy the contents of the dist directory to the Nginx html directory
COPY dist/ /default-app/

# 删除默认的defult.conf
RUN rm /etc/nginx/conf.d/default.conf

COPY default.conf /etc/nginx/conf.d/default.conf

COPY app-init.sh /app-init.sh
RUN chmod +x /app-init.sh

# Expose port 80
EXPOSE 80

# 使用启动脚本作为 ENTRYPOINT
ENTRYPOINT ["/app-init.sh"]

# Start Nginx
# CMD ["nginx", "-g", "daemon off;"]